import { defineComponent, ref, mergeProps, unref, withCtx, createTextVNode, createVNode, useSSRContext, withModifiers, createBlock, createCommentVNode, openBlock, Transition, withDirectives, vShow } from "vue";
import { ssrRenderAttrs, ssrRenderComponent, ssrRenderStyle } from "vue/server-renderer";
import { useForm, usePage, Head, Link } from "@inertiajs/vue3";
import { a as _sfc_main$2, _ as _sfc_main$g } from "./Layout-UfShJMxQ.js";
import { _ as _sfc_main$c } from "./InputError-Dsed5rBJ.js";
import { _ as _sfc_main$5 } from "./AppLogoIcon-DhmQfNIw.js";
import { _ as _sfc_main$3, c as _sfc_main$4, b as _sfc_main$6, d as _sfc_main$7, e as _sfc_main$8, f as _sfc_main$9, g as _sfc_main$d, h as _sfc_main$e } from "./DialogTrigger-f2i9l7Ew.js";
import { _ as _sfc_main$b } from "./Input-CFG4Vy8n.js";
import { _ as _sfc_main$a } from "./Label-CHEJyxWd.js";
import { _ as _sfc_main$f } from "./AppLayout-DXKl-uoF.js";
import "class-variance-authority";
import "clsx";
import "tailwind-merge";
import "reka-ui";
import "lucide-vue-next";
import "@vueuse/core";
const _sfc_main$1 = /* @__PURE__ */ defineComponent({
  __name: "DeleteUser",
  __ssrInlineRender: true,
  setup(__props) {
    const passwordInput = ref(null);
    const form = useForm({
      password: ""
    });
    const deleteUser = (e) => {
      e.preventDefault();
      form.delete(route("profile.destroy"), {
        preserveScroll: true,
        onSuccess: () => closeModal(),
        onError: () => {
          var _a;
          return (_a = passwordInput.value) == null ? void 0 : _a.focus();
        },
        onFinish: () => form.reset()
      });
    };
    const closeModal = () => {
      form.clearErrors();
      form.reset();
    };
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "space-y-6" }, _attrs))}>`);
      _push(ssrRenderComponent(_sfc_main$2, {
        title: "Delete account",
        description: "Delete your account and all of its resources"
      }, null, _parent));
      _push(`<div class="space-y-4 rounded-lg border border-red-100 bg-red-50 p-4 dark:border-red-200/10 dark:bg-red-700/10"><div class="relative space-y-0.5 text-red-600 dark:text-red-100"><p class="font-medium">Предупреждение</p><p class="text-sm">Пожалуйста, действуйте осторожно, это действие невозможно отменить.</p></div>`);
      _push(ssrRenderComponent(unref(_sfc_main$3), null, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(ssrRenderComponent(unref(_sfc_main$4), { "as-child": "" }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(ssrRenderComponent(unref(_sfc_main$5), { variant: "destructive" }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(`Удалить аккаунт`);
                      } else {
                        return [
                          createTextVNode("Удалить аккаунт")
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode(unref(_sfc_main$5), { variant: "destructive" }, {
                      default: withCtx(() => [
                        createTextVNode("Удалить аккаунт")
                      ]),
                      _: 1
                    })
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(ssrRenderComponent(unref(_sfc_main$6), null, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`<form class="space-y-6"${_scopeId2}>`);
                  _push3(ssrRenderComponent(unref(_sfc_main$7), { class: "space-y-3" }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(ssrRenderComponent(unref(_sfc_main$8), null, {
                          default: withCtx((_4, _push5, _parent5, _scopeId4) => {
                            if (_push5) {
                              _push5(`Вы уверены, что хотите удалить свою учетную запись?`);
                            } else {
                              return [
                                createTextVNode("Вы уверены, что хотите удалить свою учетную запись?")
                              ];
                            }
                          }),
                          _: 1
                        }, _parent4, _scopeId3));
                        _push4(ssrRenderComponent(unref(_sfc_main$9), null, {
                          default: withCtx((_4, _push5, _parent5, _scopeId4) => {
                            if (_push5) {
                              _push5(` После удаления вашего аккаунта все его ресурсы и данные также будут удалены навсегда. Введите свой пароль, чтобы подтвердить, что вы хотите навсегда удалить свой аккаунт. `);
                            } else {
                              return [
                                createTextVNode(" После удаления вашего аккаунта все его ресурсы и данные также будут удалены навсегда. Введите свой пароль, чтобы подтвердить, что вы хотите навсегда удалить свой аккаунт. ")
                              ];
                            }
                          }),
                          _: 1
                        }, _parent4, _scopeId3));
                      } else {
                        return [
                          createVNode(unref(_sfc_main$8), null, {
                            default: withCtx(() => [
                              createTextVNode("Вы уверены, что хотите удалить свою учетную запись?")
                            ]),
                            _: 1
                          }),
                          createVNode(unref(_sfc_main$9), null, {
                            default: withCtx(() => [
                              createTextVNode(" После удаления вашего аккаунта все его ресурсы и данные также будут удалены навсегда. Введите свой пароль, чтобы подтвердить, что вы хотите навсегда удалить свой аккаунт. ")
                            ]),
                            _: 1
                          })
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                  _push3(`<div class="grid gap-2"${_scopeId2}>`);
                  _push3(ssrRenderComponent(unref(_sfc_main$a), {
                    for: "password",
                    class: "sr-only"
                  }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(`Пароль`);
                      } else {
                        return [
                          createTextVNode("Пароль")
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                  _push3(ssrRenderComponent(unref(_sfc_main$b), {
                    id: "password",
                    type: "password",
                    name: "password",
                    ref_key: "passwordInput",
                    ref: passwordInput,
                    modelValue: unref(form).password,
                    "onUpdate:modelValue": ($event) => unref(form).password = $event,
                    placeholder: "Пароль"
                  }, null, _parent3, _scopeId2));
                  _push3(ssrRenderComponent(_sfc_main$c, {
                    message: unref(form).errors.password
                  }, null, _parent3, _scopeId2));
                  _push3(`</div>`);
                  _push3(ssrRenderComponent(unref(_sfc_main$d), { class: "gap-2" }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(ssrRenderComponent(unref(_sfc_main$e), { "as-child": "" }, {
                          default: withCtx((_4, _push5, _parent5, _scopeId4) => {
                            if (_push5) {
                              _push5(ssrRenderComponent(unref(_sfc_main$5), {
                                variant: "secondary",
                                onClick: closeModal
                              }, {
                                default: withCtx((_5, _push6, _parent6, _scopeId5) => {
                                  if (_push6) {
                                    _push6(` Отмена `);
                                  } else {
                                    return [
                                      createTextVNode(" Отмена ")
                                    ];
                                  }
                                }),
                                _: 1
                              }, _parent5, _scopeId4));
                            } else {
                              return [
                                createVNode(unref(_sfc_main$5), {
                                  variant: "secondary",
                                  onClick: closeModal
                                }, {
                                  default: withCtx(() => [
                                    createTextVNode(" Отмена ")
                                  ]),
                                  _: 1
                                })
                              ];
                            }
                          }),
                          _: 1
                        }, _parent4, _scopeId3));
                        _push4(ssrRenderComponent(unref(_sfc_main$5), {
                          type: "submit",
                          variant: "destructive",
                          disabled: unref(form).processing
                        }, {
                          default: withCtx((_4, _push5, _parent5, _scopeId4) => {
                            if (_push5) {
                              _push5(` Удалить аккаунт `);
                            } else {
                              return [
                                createTextVNode(" Удалить аккаунт ")
                              ];
                            }
                          }),
                          _: 1
                        }, _parent4, _scopeId3));
                      } else {
                        return [
                          createVNode(unref(_sfc_main$e), { "as-child": "" }, {
                            default: withCtx(() => [
                              createVNode(unref(_sfc_main$5), {
                                variant: "secondary",
                                onClick: closeModal
                              }, {
                                default: withCtx(() => [
                                  createTextVNode(" Отмена ")
                                ]),
                                _: 1
                              })
                            ]),
                            _: 1
                          }),
                          createVNode(unref(_sfc_main$5), {
                            type: "submit",
                            variant: "destructive",
                            disabled: unref(form).processing
                          }, {
                            default: withCtx(() => [
                              createTextVNode(" Удалить аккаунт ")
                            ]),
                            _: 1
                          }, 8, ["disabled"])
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                  _push3(`</form>`);
                } else {
                  return [
                    createVNode("form", {
                      class: "space-y-6",
                      onSubmit: deleteUser
                    }, [
                      createVNode(unref(_sfc_main$7), { class: "space-y-3" }, {
                        default: withCtx(() => [
                          createVNode(unref(_sfc_main$8), null, {
                            default: withCtx(() => [
                              createTextVNode("Вы уверены, что хотите удалить свою учетную запись?")
                            ]),
                            _: 1
                          }),
                          createVNode(unref(_sfc_main$9), null, {
                            default: withCtx(() => [
                              createTextVNode(" После удаления вашего аккаунта все его ресурсы и данные также будут удалены навсегда. Введите свой пароль, чтобы подтвердить, что вы хотите навсегда удалить свой аккаунт. ")
                            ]),
                            _: 1
                          })
                        ]),
                        _: 1
                      }),
                      createVNode("div", { class: "grid gap-2" }, [
                        createVNode(unref(_sfc_main$a), {
                          for: "password",
                          class: "sr-only"
                        }, {
                          default: withCtx(() => [
                            createTextVNode("Пароль")
                          ]),
                          _: 1
                        }),
                        createVNode(unref(_sfc_main$b), {
                          id: "password",
                          type: "password",
                          name: "password",
                          ref_key: "passwordInput",
                          ref: passwordInput,
                          modelValue: unref(form).password,
                          "onUpdate:modelValue": ($event) => unref(form).password = $event,
                          placeholder: "Пароль"
                        }, null, 8, ["modelValue", "onUpdate:modelValue"]),
                        createVNode(_sfc_main$c, {
                          message: unref(form).errors.password
                        }, null, 8, ["message"])
                      ]),
                      createVNode(unref(_sfc_main$d), { class: "gap-2" }, {
                        default: withCtx(() => [
                          createVNode(unref(_sfc_main$e), { "as-child": "" }, {
                            default: withCtx(() => [
                              createVNode(unref(_sfc_main$5), {
                                variant: "secondary",
                                onClick: closeModal
                              }, {
                                default: withCtx(() => [
                                  createTextVNode(" Отмена ")
                                ]),
                                _: 1
                              })
                            ]),
                            _: 1
                          }),
                          createVNode(unref(_sfc_main$5), {
                            type: "submit",
                            variant: "destructive",
                            disabled: unref(form).processing
                          }, {
                            default: withCtx(() => [
                              createTextVNode(" Удалить аккаунт ")
                            ]),
                            _: 1
                          }, 8, ["disabled"])
                        ]),
                        _: 1
                      })
                    ], 32)
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
          } else {
            return [
              createVNode(unref(_sfc_main$4), { "as-child": "" }, {
                default: withCtx(() => [
                  createVNode(unref(_sfc_main$5), { variant: "destructive" }, {
                    default: withCtx(() => [
                      createTextVNode("Удалить аккаунт")
                    ]),
                    _: 1
                  })
                ]),
                _: 1
              }),
              createVNode(unref(_sfc_main$6), null, {
                default: withCtx(() => [
                  createVNode("form", {
                    class: "space-y-6",
                    onSubmit: deleteUser
                  }, [
                    createVNode(unref(_sfc_main$7), { class: "space-y-3" }, {
                      default: withCtx(() => [
                        createVNode(unref(_sfc_main$8), null, {
                          default: withCtx(() => [
                            createTextVNode("Вы уверены, что хотите удалить свою учетную запись?")
                          ]),
                          _: 1
                        }),
                        createVNode(unref(_sfc_main$9), null, {
                          default: withCtx(() => [
                            createTextVNode(" После удаления вашего аккаунта все его ресурсы и данные также будут удалены навсегда. Введите свой пароль, чтобы подтвердить, что вы хотите навсегда удалить свой аккаунт. ")
                          ]),
                          _: 1
                        })
                      ]),
                      _: 1
                    }),
                    createVNode("div", { class: "grid gap-2" }, [
                      createVNode(unref(_sfc_main$a), {
                        for: "password",
                        class: "sr-only"
                      }, {
                        default: withCtx(() => [
                          createTextVNode("Пароль")
                        ]),
                        _: 1
                      }),
                      createVNode(unref(_sfc_main$b), {
                        id: "password",
                        type: "password",
                        name: "password",
                        ref_key: "passwordInput",
                        ref: passwordInput,
                        modelValue: unref(form).password,
                        "onUpdate:modelValue": ($event) => unref(form).password = $event,
                        placeholder: "Пароль"
                      }, null, 8, ["modelValue", "onUpdate:modelValue"]),
                      createVNode(_sfc_main$c, {
                        message: unref(form).errors.password
                      }, null, 8, ["message"])
                    ]),
                    createVNode(unref(_sfc_main$d), { class: "gap-2" }, {
                      default: withCtx(() => [
                        createVNode(unref(_sfc_main$e), { "as-child": "" }, {
                          default: withCtx(() => [
                            createVNode(unref(_sfc_main$5), {
                              variant: "secondary",
                              onClick: closeModal
                            }, {
                              default: withCtx(() => [
                                createTextVNode(" Отмена ")
                              ]),
                              _: 1
                            })
                          ]),
                          _: 1
                        }),
                        createVNode(unref(_sfc_main$5), {
                          type: "submit",
                          variant: "destructive",
                          disabled: unref(form).processing
                        }, {
                          default: withCtx(() => [
                            createTextVNode(" Удалить аккаунт ")
                          ]),
                          _: 1
                        }, 8, ["disabled"])
                      ]),
                      _: 1
                    })
                  ], 32)
                ]),
                _: 1
              })
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div></div>`);
    };
  }
});
const _sfc_setup$1 = _sfc_main$1.setup;
_sfc_main$1.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/components/DeleteUser.vue");
  return _sfc_setup$1 ? _sfc_setup$1(props, ctx) : void 0;
};
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "Profile",
  __ssrInlineRender: true,
  props: {
    mustVerifyEmail: { type: Boolean },
    status: {}
  },
  setup(__props) {
    const breadcrumbs = [
      {
        title: "Настройки профиля",
        href: "/settings/profile"
      }
    ];
    const page = usePage();
    const user = page.props.auth.user;
    const form = useForm({
      name: user.name,
      email: user.email
    });
    const submit = () => {
      form.patch(route("profile.update"), {
        preserveScroll: true
      });
    };
    return (_ctx, _push, _parent, _attrs) => {
      _push(ssrRenderComponent(_sfc_main$f, mergeProps({ breadcrumbs }, _attrs), {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(ssrRenderComponent(unref(Head), { title: "Настройки профиля" }, null, _parent2, _scopeId));
            _push2(ssrRenderComponent(_sfc_main$g, null, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`<div class="flex flex-col space-y-6"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$2, {
                    title: "Информация профиля",
                    description: "Обновите свое имя и адрес электронной почты"
                  }, null, _parent3, _scopeId2));
                  _push3(`<form class="space-y-6"${_scopeId2}><div class="grid gap-2"${_scopeId2}>`);
                  _push3(ssrRenderComponent(unref(_sfc_main$a), { for: "name" }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(`Имя`);
                      } else {
                        return [
                          createTextVNode("Имя")
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                  _push3(ssrRenderComponent(unref(_sfc_main$b), {
                    id: "name",
                    class: "mt-1 block w-full",
                    modelValue: unref(form).name,
                    "onUpdate:modelValue": ($event) => unref(form).name = $event,
                    required: "",
                    autocomplete: "name",
                    placeholder: "Полное имя"
                  }, null, _parent3, _scopeId2));
                  _push3(ssrRenderComponent(_sfc_main$c, {
                    class: "mt-2",
                    message: unref(form).errors.name
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="grid gap-2"${_scopeId2}>`);
                  _push3(ssrRenderComponent(unref(_sfc_main$a), { for: "email" }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(`Адрес электронной почты`);
                      } else {
                        return [
                          createTextVNode("Адрес электронной почты")
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                  _push3(ssrRenderComponent(unref(_sfc_main$b), {
                    id: "email",
                    type: "email",
                    class: "mt-1 block w-full",
                    modelValue: unref(form).email,
                    "onUpdate:modelValue": ($event) => unref(form).email = $event,
                    required: "",
                    autocomplete: "username",
                    placeholder: "Адрес электронной почты"
                  }, null, _parent3, _scopeId2));
                  _push3(ssrRenderComponent(_sfc_main$c, {
                    class: "mt-2",
                    message: unref(form).errors.email
                  }, null, _parent3, _scopeId2));
                  _push3(`</div>`);
                  if (_ctx.mustVerifyEmail && !unref(user).email_verified_at) {
                    _push3(`<div${_scopeId2}><p class="-mt-4 text-sm text-muted-foreground"${_scopeId2}> Ваш адрес электронной почты не проверен. `);
                    _push3(ssrRenderComponent(unref(Link), {
                      href: _ctx.route("verification.send"),
                      method: "post",
                      as: "button",
                      class: "text-foreground underline decoration-neutral-300 underline-offset-4 transition-colors duration-300 ease-out hover:decoration-current! dark:decoration-neutral-500"
                    }, {
                      default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                        if (_push4) {
                          _push4(` Нажмите здесь, чтобы повторно отправить письмо с подтверждением. `);
                        } else {
                          return [
                            createTextVNode(" Нажмите здесь, чтобы повторно отправить письмо с подтверждением. ")
                          ];
                        }
                      }),
                      _: 1
                    }, _parent3, _scopeId2));
                    _push3(`</p>`);
                    if (_ctx.status === "verification-link-sent") {
                      _push3(`<div class="mt-2 text-sm font-medium text-green-600"${_scopeId2}> На ваш адрес электронной почты была отправлена новая ссылка для подтверждения. </div>`);
                    } else {
                      _push3(`<!---->`);
                    }
                    _push3(`</div>`);
                  } else {
                    _push3(`<!---->`);
                  }
                  _push3(`<div class="flex items-center gap-4"${_scopeId2}>`);
                  _push3(ssrRenderComponent(unref(_sfc_main$5), {
                    disabled: unref(form).processing
                  }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(`Сохранить`);
                      } else {
                        return [
                          createTextVNode("Сохранить")
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                  _push3(`<p style="${ssrRenderStyle(unref(form).recentlySuccessful ? null : { display: "none" })}" class="text-sm text-neutral-600"${_scopeId2}>Сохранено.</p></div></form></div>`);
                  _push3(ssrRenderComponent(_sfc_main$1, null, null, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode("div", { class: "flex flex-col space-y-6" }, [
                      createVNode(_sfc_main$2, {
                        title: "Информация профиля",
                        description: "Обновите свое имя и адрес электронной почты"
                      }),
                      createVNode("form", {
                        onSubmit: withModifiers(submit, ["prevent"]),
                        class: "space-y-6"
                      }, [
                        createVNode("div", { class: "grid gap-2" }, [
                          createVNode(unref(_sfc_main$a), { for: "name" }, {
                            default: withCtx(() => [
                              createTextVNode("Имя")
                            ]),
                            _: 1
                          }),
                          createVNode(unref(_sfc_main$b), {
                            id: "name",
                            class: "mt-1 block w-full",
                            modelValue: unref(form).name,
                            "onUpdate:modelValue": ($event) => unref(form).name = $event,
                            required: "",
                            autocomplete: "name",
                            placeholder: "Полное имя"
                          }, null, 8, ["modelValue", "onUpdate:modelValue"]),
                          createVNode(_sfc_main$c, {
                            class: "mt-2",
                            message: unref(form).errors.name
                          }, null, 8, ["message"])
                        ]),
                        createVNode("div", { class: "grid gap-2" }, [
                          createVNode(unref(_sfc_main$a), { for: "email" }, {
                            default: withCtx(() => [
                              createTextVNode("Адрес электронной почты")
                            ]),
                            _: 1
                          }),
                          createVNode(unref(_sfc_main$b), {
                            id: "email",
                            type: "email",
                            class: "mt-1 block w-full",
                            modelValue: unref(form).email,
                            "onUpdate:modelValue": ($event) => unref(form).email = $event,
                            required: "",
                            autocomplete: "username",
                            placeholder: "Адрес электронной почты"
                          }, null, 8, ["modelValue", "onUpdate:modelValue"]),
                          createVNode(_sfc_main$c, {
                            class: "mt-2",
                            message: unref(form).errors.email
                          }, null, 8, ["message"])
                        ]),
                        _ctx.mustVerifyEmail && !unref(user).email_verified_at ? (openBlock(), createBlock("div", { key: 0 }, [
                          createVNode("p", { class: "-mt-4 text-sm text-muted-foreground" }, [
                            createTextVNode(" Ваш адрес электронной почты не проверен. "),
                            createVNode(unref(Link), {
                              href: _ctx.route("verification.send"),
                              method: "post",
                              as: "button",
                              class: "text-foreground underline decoration-neutral-300 underline-offset-4 transition-colors duration-300 ease-out hover:decoration-current! dark:decoration-neutral-500"
                            }, {
                              default: withCtx(() => [
                                createTextVNode(" Нажмите здесь, чтобы повторно отправить письмо с подтверждением. ")
                              ]),
                              _: 1
                            }, 8, ["href"])
                          ]),
                          _ctx.status === "verification-link-sent" ? (openBlock(), createBlock("div", {
                            key: 0,
                            class: "mt-2 text-sm font-medium text-green-600"
                          }, " На ваш адрес электронной почты была отправлена новая ссылка для подтверждения. ")) : createCommentVNode("", true)
                        ])) : createCommentVNode("", true),
                        createVNode("div", { class: "flex items-center gap-4" }, [
                          createVNode(unref(_sfc_main$5), {
                            disabled: unref(form).processing
                          }, {
                            default: withCtx(() => [
                              createTextVNode("Сохранить")
                            ]),
                            _: 1
                          }, 8, ["disabled"]),
                          createVNode(Transition, {
                            "enter-active-class": "transition ease-in-out",
                            "enter-from-class": "opacity-0",
                            "leave-active-class": "transition ease-in-out",
                            "leave-to-class": "opacity-0"
                          }, {
                            default: withCtx(() => [
                              withDirectives(createVNode("p", { class: "text-sm text-neutral-600" }, "Сохранено.", 512), [
                                [vShow, unref(form).recentlySuccessful]
                              ])
                            ]),
                            _: 1
                          })
                        ])
                      ], 32)
                    ]),
                    createVNode(_sfc_main$1)
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
          } else {
            return [
              createVNode(unref(Head), { title: "Настройки профиля" }),
              createVNode(_sfc_main$g, null, {
                default: withCtx(() => [
                  createVNode("div", { class: "flex flex-col space-y-6" }, [
                    createVNode(_sfc_main$2, {
                      title: "Информация профиля",
                      description: "Обновите свое имя и адрес электронной почты"
                    }),
                    createVNode("form", {
                      onSubmit: withModifiers(submit, ["prevent"]),
                      class: "space-y-6"
                    }, [
                      createVNode("div", { class: "grid gap-2" }, [
                        createVNode(unref(_sfc_main$a), { for: "name" }, {
                          default: withCtx(() => [
                            createTextVNode("Имя")
                          ]),
                          _: 1
                        }),
                        createVNode(unref(_sfc_main$b), {
                          id: "name",
                          class: "mt-1 block w-full",
                          modelValue: unref(form).name,
                          "onUpdate:modelValue": ($event) => unref(form).name = $event,
                          required: "",
                          autocomplete: "name",
                          placeholder: "Полное имя"
                        }, null, 8, ["modelValue", "onUpdate:modelValue"]),
                        createVNode(_sfc_main$c, {
                          class: "mt-2",
                          message: unref(form).errors.name
                        }, null, 8, ["message"])
                      ]),
                      createVNode("div", { class: "grid gap-2" }, [
                        createVNode(unref(_sfc_main$a), { for: "email" }, {
                          default: withCtx(() => [
                            createTextVNode("Адрес электронной почты")
                          ]),
                          _: 1
                        }),
                        createVNode(unref(_sfc_main$b), {
                          id: "email",
                          type: "email",
                          class: "mt-1 block w-full",
                          modelValue: unref(form).email,
                          "onUpdate:modelValue": ($event) => unref(form).email = $event,
                          required: "",
                          autocomplete: "username",
                          placeholder: "Адрес электронной почты"
                        }, null, 8, ["modelValue", "onUpdate:modelValue"]),
                        createVNode(_sfc_main$c, {
                          class: "mt-2",
                          message: unref(form).errors.email
                        }, null, 8, ["message"])
                      ]),
                      _ctx.mustVerifyEmail && !unref(user).email_verified_at ? (openBlock(), createBlock("div", { key: 0 }, [
                        createVNode("p", { class: "-mt-4 text-sm text-muted-foreground" }, [
                          createTextVNode(" Ваш адрес электронной почты не проверен. "),
                          createVNode(unref(Link), {
                            href: _ctx.route("verification.send"),
                            method: "post",
                            as: "button",
                            class: "text-foreground underline decoration-neutral-300 underline-offset-4 transition-colors duration-300 ease-out hover:decoration-current! dark:decoration-neutral-500"
                          }, {
                            default: withCtx(() => [
                              createTextVNode(" Нажмите здесь, чтобы повторно отправить письмо с подтверждением. ")
                            ]),
                            _: 1
                          }, 8, ["href"])
                        ]),
                        _ctx.status === "verification-link-sent" ? (openBlock(), createBlock("div", {
                          key: 0,
                          class: "mt-2 text-sm font-medium text-green-600"
                        }, " На ваш адрес электронной почты была отправлена новая ссылка для подтверждения. ")) : createCommentVNode("", true)
                      ])) : createCommentVNode("", true),
                      createVNode("div", { class: "flex items-center gap-4" }, [
                        createVNode(unref(_sfc_main$5), {
                          disabled: unref(form).processing
                        }, {
                          default: withCtx(() => [
                            createTextVNode("Сохранить")
                          ]),
                          _: 1
                        }, 8, ["disabled"]),
                        createVNode(Transition, {
                          "enter-active-class": "transition ease-in-out",
                          "enter-from-class": "opacity-0",
                          "leave-active-class": "transition ease-in-out",
                          "leave-to-class": "opacity-0"
                        }, {
                          default: withCtx(() => [
                            withDirectives(createVNode("p", { class: "text-sm text-neutral-600" }, "Сохранено.", 512), [
                              [vShow, unref(form).recentlySuccessful]
                            ])
                          ]),
                          _: 1
                        })
                      ])
                    ], 32)
                  ]),
                  createVNode(_sfc_main$1)
                ]),
                _: 1
              })
            ];
          }
        }),
        _: 1
      }, _parent));
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/pages/settings/Profile.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
export {
  _sfc_main as default
};
